<?php
/**
 * Created by PhpStorm.
 * User: 王源
 * Date: 2020/3/16
 * Time: 15:07
 */

namespace Meibuyu\Rpc\Service\Interfaces\Store;

interface StorePurchaseServiceInterface
{
    /**
     * 创建对应的退货单, $params 数组结构如下：
     *  [
    'source_type'   => '',          //来源类型，默认为采购
    'source_no'     => '',          //来源单号，比如来源是采购就是采购单号
    'batch_no'      => '',          //对应的批次号
    'sku'           => '',          //sku
    'purchased_cnt' => 0,           //购买量
    'returns_cnt'   => 0,           //退货数量
    ];
     * @param array $params
     * @return array
     * [
    'msg' => '退货成功',
    'code'=> 200,                       //响应码
    'data' => ['id' => 退货 ID]          //返回的数据，id 为对应的退货 ID
    ];
     * @throws
     */
    public function createReturns(array $params): array;
}
